<?php 
$form_name = "Lab Sample Master";
$table_name = "custom_incentive";
$primary_key = "incentive_id";

$mode = isset($_REQUEST['mode']) ? $_REQUEST['mode'] : "";
	
include_once("includes/config.php");
include_once("includes/common_functions.php");

$common = new General_Functions();
$css_class = "x-gray";
// $common->SetCssClass($css_class);

$mode = isset($_REQUEST['mode']) ? $_REQUEST['mode'] : "";
$act_type = isset($_REQUEST['act_type']) ? $_REQUEST['act_type'] : "";
$cancel_link = $_SERVER['SCRIPT_NAME'].'?page='.$_REQUEST['page'];
$action = $_SERVER['SCRIPT_NAME']."?page=".$_REQUEST['page']."&mode=submit";

switch($mode)
{
	default:
                $query = "SELECT * FROM ".$table_name." 
                            INNER JOIN custom_survey_master 
                                ON (custom_survey_master.sur_code = ".$table_name.".incentive_survy_id) 
                            INNER JOIN custom_participant_registration 
                                ON (custom_participant_registration.reg_participant_id = ".$table_name.".incentive_particpnt_id) 
                            GROUP BY reg_id";
		$common->sql->query($query, SQL_ALL, SQL_ASSOC);
		$rec = $common->sql->record;
		?>
                <link rel="stylesheet" href="includes/media/css/demo_page.css" type="text/css" />
                <link rel="stylesheet" href="includes/media/css/demo_table.css" type="text/css" />
		<script type="text/javascript" language="javascript" src="includes/media/js/jquery.js"></script>
		<script type="text/javascript" language="javascript" src="includes/media/js/jquery.dataTables.js"></script>
                <script type="text/javascript" charset="utf-8">
			var asInitVals = new Array();
			
			$(document).ready(function() {
				var oTable = $('#example').dataTable( {
					"bJQueryUI": true,
					"sPaginationType": "full_numbers",
				} );
				
				$("thead input").keyup( function () {
					oTable.fnFilter( this.value, $("thead input").index(this) );
				} );
				
				$("thead input").each( function (i) {
					asInitVals[i] = this.value;
				} );
				
				$("thead input").focus( function () {
					if ( this.className == "search_init" )
					{
						this.className = "";
						this.value = "";
					}
				} );
				
				$("thead input").blur( function (i) {
					if ( this.value == "" )
					{
						this.className = "search_init";
						this.value = asInitVals[$("thead input").index(this)];
					}
				} );
				
				$(".fg-toolbar").height(40);
				$(".dataTables_length").hide();
				$(".dataTables_filter").hide();
				$("#example_info").hide();
				
				$('#example tbody tr').live('click', function () {
					var frmval = new Array();
					var nTds = $('td', this);
					var row = $(nTds[0]).text();
					
					j = row;
					sur_id = '#lab_smple_id_'+j;
					frmval["lab_smple_id"] = $(sur_id).val();
					sur_id = '#lab_smple_part_id_'+j;
					frmval["lab_smple_part_id"] = $(sur_id).val();
                                        
					parent.frm_edit_val(frmval);
				});
			} );
		</script>
        <br /><br />
        <div id="demo" style="width: 95%; margin: 0 auto;">
            <form name="view" method="post">
                <table cellpadding="0" cellspacing="0" border="0" class="display" id="example" width="100%">
                    <thead>
                        <tr>
							<th style="display: none;">S.No</th>
                            <th>Participant ID</th>
                          <!--  <th>Survey Title </th>-->
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                            $part_id = "";
                            
                            for($i=0; $i<count($rec); $i++)
                            {
                                echo '<tr>
                                        <td style="display: none;">'.$i.'</td>
                                        <td>
                                            '.$rec[$i]['reg_participant_id'].'
                                            <input type="hidden" name="lab_smple_id" id="lab_smple_id_'.$i.'" value="'.$rec[$i]['incentive_id'].'" />
                                            <input type="hidden" name="lab_smple_part_id" id="lab_smple_part_id_'.$i.'" value="'.$rec[$i]['incentive_particpnt_id'].'" />
                                            <input type="hidden" name="lab_smple_sur_id" id="lab_smple_sur_id_'.$i.'" value="'.$rec[$i]['incentive_survy_id'].'" />
                                        </td>
                                      <!--  <td>'.$rec[$i]['sur_title'].'</td> -->
                                    </tr>';
                            }
                        ?>
                    </tbody>
                    <thead>
                        <tr>
                            <th style="display: none;"><input type="text" name="search_engine" value="Search Participant ID" class="search_init" /></th>
                            <th><input type="text" name="search_engine" value="Search Participant ID" class="search_init" /></th>
                          <!--   <th><input type="text" name="search_browser" value="Search Survey Title" class="search_init" /></th> -->
                        </tr>
                    </thead>
                </table>
            </form>
        </div>
        <?php
	break;
}
?>